HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostSkusId

Contains the different functions to run the operation postSkusId

  • 8 types
  • 4 values
valuepostSkusId
  1. :: MonadHTTP m
  2. => Text

    id | Constraints: Maximum length of 5000

  3. -> Maybe PostSkusIdRequestBody

    The request body to send

  4. -> ClientT m (Response PostSkusIdResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/skus/{id}

<p>Updates the specific SKU by setting the values of the parameters passed. Any parameters not provided will be left unchanged.</p>

<p>Note that a SKU’s <code>attributes</code> are not editable. Instead, you would need to deactivate the existing SKU and create a new one with the new attribute values.</p>

Defines the object schema located at paths./v1/skus/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/skus/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.inventory in the specification.

Description of the SKU's inventory.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/skus/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.inventory.properties.type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/skus/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.inventory.properties.value in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/skus/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/skus/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.package_dimensions.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/skus/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.package_dimensions.anyOf in the specification.

The dimensions of this SKU for shipping purposes.

Instances4Eq, Show, FromJSON, ToJSON
datadata PostSkusIdResponse
#

Represents a response of the operation postSkusId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostSkusIdResponseError is used.

Constructors

Instances2Eq, Show